Contenu | Rechercher | Menus

Annonce

L'équipe des administrateurs et modérateurs du forum vous souhaite d'excellentes fêtes de fin d'année !

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 07/01/2019, à 17:27

Anthony53320

[Résolu] Erreur installation phpmyadmin

Bonjour,

Nouveau dans l'utilisation d'Ubuntu, je galère un peu à monter correctement mon premier serveur, qui au final sera un média center, mais pour l'heure je galère sur l'installation de phpmyadmin. Après avoir suivit ce tuto https://itx-technologies.com/fr/blog/21 … ous-ubuntu j'obtient ce beau message en faisant http://ipserveur/phpmyadmin

<? php
/ * vim: set expandtab sw = 4 ts = 4 m = 4: * /
/ **
 * Script du chargeur principal
 *
 * @package PhpMyAdmin
 * /

/ **
 * Obtient des bibliothèques de base et affiche un message principal si nécessaire
 * /
require_once 'libraries / common.inc.php';

Antho

Dernière modification par Anthony53320 (Le 09/01/2019, à 09:03)

Hors ligne

#2 Le 07/01/2019, à 17:38

Anthony53320

Re : [Résolu] Erreur installation phpmyadmin

Par contre semble fonctionner avec /phpmyadmin/index.php

Je comprend pas j'ai loupé un épisode ou juste la fatigue ?

Hors ligne

#3 Le 07/01/2019, à 17:41

gl38

Re : [Résolu] Erreur installation phpmyadmin

Si le php s'affiche brut de décoffrage au lieu d'agir c'est qu'il manque le paquet libapache2-mod-php7.0 ou quelque chose de ce genre, en supposant que tu utilises apache.
Cordialement,
Guy

Hors ligne

#4 Le 07/01/2019, à 17:45

Anthony53320

Re : [Résolu] Erreur installation phpmyadmin

Bonjour Guy

libapache2-mod-php7.0 est déjà installé,

je ne comprend pas ma différence

phpmyadmin = Brut de pomme (décoffrage)
phpmyadmin.index = Avec interface

Une autre idée ?

Hors ligne

#5 Le 07/01/2019, à 19:36

krodelabestiole

Re : [Résolu] Erreur installation phpmyadmin

évite de suivre des tutos pris au hasard sur le web et de qualité médiocre ou obsolète comme celui-ci, qui date de 2010.

la doc de phpmyadmin pour ubuntu est ici : https://doc.ubuntu-fr.org/phpmyadmin

je te conseille de défaire tout ce que tu as fait, et de réinstaller ça proprement. au passage tu ne devrais jamais avoir besoin de modifier apache2.conf, et il ne devrait pas y avoir d'espace entre <? et php

Dernière modification par krodelabestiole (Le 07/01/2019, à 19:37)

Hors ligne

#6 Le 07/01/2019, à 22:13

Anthony53320

Re : [Résolu] Erreur installation phpmyadmin

Bonsoir,

Même en ayant suivit le message de

krodelabestiole a écrit :

évite de suivre des tutos pris au hasard sur le web et de qualité médiocre ou obsolète comme celui-ci, qui date de 2010.

la doc de phpmyadmin pour ubuntu est ici : https://doc.ubuntu-fr.org/phpmyadmin

je te conseille de défaire tout ce que tu as fait, et de réinstaller ça proprement. au passage tu ne devrais jamais avoir besoin de modifier apache2.conf, et il ne devrait pas y avoir d'espace entre <? et php

Le problème demeure, j'ai désinstaller phpmyadmin et refait une installation phpmyadmin renvoie toujours une erreur alors que phpmyadmin/index passe sans problème, un peur perdu je dois avouer

Hors ligne

#7 Le 07/01/2019, à 22:15

krodelabestiole

Re : [Résolu] Erreur installation phpmyadmin

tu as suivi cette documentation pour installer apache php et mysql ? https://doc.ubuntu-fr.org/lamp

Dernière modification par krodelabestiole (Le 07/01/2019, à 22:16)

Hors ligne

#8 Le 08/01/2019, à 07:27

Anthony53320

Re : [Résolu] Erreur installation phpmyadmin

Je suis passé directement par l'installaiton proposé à la fin de l'installation d'ubuntu, peux être mon erreur justement... je pense que je refaire entièrement toute mon installation, le serveur n'est pas encore en prod donc pas bien méchant

Hors ligne

#9 Le 08/01/2019, à 08:51

krodelabestiole

Re : [Résolu] Erreur installation phpmyadmin

non c'est pas forcément nécessaire. en fait comme l'a fait remarqué gl38, ton problème ici c'est que PHP n'est pas interprété.

il y a aussi une doc spécifique pour ça : https://doc.ubuntu-fr.org/php#code_sour … navigateur

Hors ligne

#10 Le 08/01/2019, à 15:27

Anthony53320

Re : [Résolu] Erreur installation phpmyadmin

Merci krodelabestiole j'ai effectivement réinstaller tout çà proprement en suivant uniquement les tuto de la communauté.

Hors ligne